<?xml version="1.0" encoding="iso-8859-1"?>

<!-- 
  Please see the license.html file included with this distribution for 
  attribution and copyright information.
-->

<root>
  <!-- audio record window -->
	<windowclass name="audio">
		<frame>recordsheet</frame>
		<placement>
			<size width="350" height="400" />
		</placement>
		<sizelimits>
			<minimum width="350" height="400" />
			<dynamic />
		</sizelimits>
		<minimize>minimized_npc</minimize>
		<tooltip field="name" />
		<nodelete />
		<script file="scripts/audio.lua" />
		<sheetdata>
			<sub_record_header name="header">
				<class>audio_header</class>
			</sub_record_header>

			<frame_record_content_tabbed name="contentframe" />

			<subwindow_record name="main">
				<class>audio_main</class>
			</subwindow_record>
			<ft_record name="notes">
				<anchored to="contentframe" position="over" />
				<empty textres="ft_empty" hidereadonly="true" />
				<invisible />
			</ft_record>

			<scrollbar_record>
				<target>main</target>
			</scrollbar_record>
			<scrollbar_record>
				<target>notes</target>
			</scrollbar_record>

			<tabs_recordsheet name="tabs">
				<tab>
					<icon>tab_main</icon>
					<subwindow>main</subwindow>
				</tab>
				<tab>
					<icon>tab_notes</icon>
					<subwindow>notes</subwindow>
				</tab>
			</tabs_recordsheet>
			
			<resize_recordsheet />
			<close_recordsheet />
		</sheetdata>
	</windowclass>
	
  <!-- audio object record header -->
	<windowclass name="audio_header">
    <script file="scripts/audio_header.lua" />
		<margins control="0,0,0,7" />
		<sheetdata>
			<link_record_header_id name="link">
				<class>audio</class>
			</link_record_header_id>
			
			<anchor_record_header_right name="rightanchor" />
			<button_record_locked />

			<string_record_name_id name="name">
				<empty textres="library_recordtype_empty_npc" />
			</string_record_name_id>
		</sheetdata>
	</windowclass>
	
  <!-- audio object record main -->
	<windowclass name="audio_main">
		<margins control="0,0,0,2" />
		<script file="scripts/audio_main.lua" />
		<sheetdata>
			<anchor_column name="columnanchor" />

			<label name="link_label">
				<anchored>
          <top parent="columnanchor" anchor="bottom" relation="relative" offset="7" />
          <left />
				</anchored>      
				<static textres="audio_label_link" />
			</label>
      <link_audio name="audioshortcut">
				<anchored height="20" width="20" >
          <top parent="link_label"  />
          <left offset="97" />
				</anchored>      
      </link_audio>
      
			<label name="linkstop_label">
				<anchored>
          <top parent="columnanchor" anchor="bottom" relation="relative" offset="7" />
          <left />
				</anchored>     
				<static textres="audio_label_linkstop" />
			</label>      
      <link_audiostop name="audiostopshortcut">
				<anchored height="20" width="20" >
          <top parent="linkstop_label" />
          <left offset="97" />
				</anchored>      
      </link_audiostop>

			<label_column name="category_label">
				<static textres="audio_label_category" />
			</label_column>
			<string_columnh name="category" />

			<label_column name="pack_label">
				<static textres="audio_label_pack" />
			</label_column>
			<string_columnh name="pack" />

			<label_column name="set_label">
				<static textres="audio_label_set" />
			</label_column>
			<string_columnh name="set" />

			<label_column name="type_label">
				<static textres="audio_label_type" />
			</label_column>
			<string_columnh name="type" />
      
			<label_column name="subtype_label">
				<static textres="audio_label_subtype" />
			</label_column>
			<string_columnh name="subtype" />
      
      <!-- Sound paths -->
			<label_column name="path_label">
				<static textres="audio_label_path" />
			</label_column>
			<string_columnh name="path">
        <script file="scripts/record_audio.lua" />
      </string_columnh>
      
			<label_column name="path_stop_label">
				<static textres="audio_label_pathstop" />
			</label_column>
			<string_columnh name="path_stop">
        <script file="scripts/record_audio.lua" />
      </string_columnh>
      
      <!-- Syrinscape Online paths -->
			<label_column name="path2_label">
				<static textres="audio_label_path2" />
			</label_column>
			<string_columnh name="path2">
        <script file="scripts/record_audio.lua" />
      </string_columnh>
      
			<label_column name="path2_stop_label">
				<static textres="audio_label_pathstop2" />
			</label_column>
			<string_columnh name="path2_stop">
        <script file="scripts/record_audio.lua" />
      </string_columnh>

		</sheetdata>
	</windowclass>
  
  <!-- import window -->
	<windowclass name="audio_import_window">
    <margins control="2,2,2,2" />
		<frame>chatbox</frame>
		<placement>
			<size width="850" height="250" />
		</placement>
		<sizelimits>
			<minimum width="850" height="250" />
			<dynamic />
		</sizelimits>
    <script file="scripts/audio_import.lua" />   
		<sheetdata>
      <windowtitlebar name="title">
        <prefix>audio_import_window_title</prefix>
        <resource>audio_import_window_title</resource>
      </windowtitlebar>
      <anchor_title_ctbox name="contentanchor" />
			<anchor_left />
      <anchor_right />
      <label_frametop>
				<anchored>
					<top parent="contentanchor" anchor="bottom" relation="relative" offset="5" />
					<left parent="leftanchor" anchor="right" relation="relative" offset="35" />
          <right offset="-45"/>
				</anchored>
			</label_frametop>
      
      <stringcontrol name="import_helptext">
				<anchored>
					<top parent="contentanchor" anchor="bottom" relation="relative" offset="5" />
					<left parent="leftanchor" anchor="right" offset="35" />
          <right offset="-45"/>
				</anchored>
        <multilinespacing>20</multilinespacing>
        <center />
				<static textres="audio_import_text_helptext" />
        <readonly />
      </stringcontrol>
      
      <label_frametop name="importtitle">
				<anchored height="20">
					<top parent="contentanchor" anchor="bottom" relation="relative" offset="5" />
					<left offset="35"/>
					<right offset="-45"/>
				</anchored>
				<static textres="audio_import_text_title" />
			</label_frametop>
            
<!-- 			<subwindow name="contents">
				<anchored>
					<top parent="contentanchor" anchor="bottom" relation="relative" offset="0" />
					<bottom offset="-40" />
					<left offset="0" />
					<right offset="-15" />
				</anchored>
				<class>audio_import_contents</class>
				<activate />
				<fastinit />
			</subwindow>
      <scrollbar_aocontents /> -->
            
      <hn name="totalcounter" />
	  <hn name="totalprocessedcounter" />
      <hs name="importtext" />
      
      <!-- -->
			<button_text_sm name="import_clipboard_button">
				<anchored height="20" width="160" >
					<top parent="contentanchor" anchor="bottom" relation="relative" offset="5" />
					<left parent="title" anchor="center" offset="-80" />
				</anchored>
        <script>
          function onButtonPress()
            window.importTextAsAudio(Interface.clipboardGetText());
          end
        </script>
				<state textres="audio_import_clipboard_text_button" />
			</button_text_sm>
			<button_text_sm name="import_button">
				<anchored height="20" width="80" >
					<top parent="contentanchor" anchor="bottom" relation="relative" offset="5" />
					<left parent="title" anchor="center" offset="-50" />
				</anchored>
        <script>
          function onButtonPress()
            window.importTextAsAudio();
          end
        </script>
				<state textres="audio_import_text_button" />
        <invisible />
			</button_text_sm>
      <button_checkbox name="update_checkbox">
        <script>
          function onInit()
            setValue(1);
          end
        </script>
				<anchored width="40" height="10" >
					<top parent="importtitle" anchor="bottom" offset="5" />
					<right parent="" offset="-20" />
				</anchored>
        <tooltip textres="audio_checkbox_import_update_tooltip" />
      </button_checkbox>
      <label_fieldtop name="checkbox_label">
				<anchored to="update_checkbox" />
				<static textres="audio_checkbox_import_update" />
        <tooltip textres="audio_checkbox_import_update_tooltip" />
			</label_fieldtop>

      <close>
        <anchored>
          <top offset="10" />
          <right offset="-10" />
        </anchored>
      </close>
      <resize>
        <anchored>
          <right offset="-12" />
          <bottom offset="-10" />
        </anchored>
      </resize>
		</sheetdata>
	</windowclass>

<!-- 	<windowclass name="audio_import_contents">
    <margins control="15,15,15,15" />
    <script file="scripts/audio_import.lua" />         
		<sheetdata>
      <anchor_column name="columnanchor" />
			<anchor_left />
      <anchor_right />
      <stringcontrol name="importtext">
        <anchored>
            <top parent="columnanchor" anchor="bottom" relation="relative" offset="5" />
            <left offset="15" />
            <right offset="-10" />
            <bottom offset="-10" />
        </anchored>
        <frame name="groupbox" offset="4,0,4,4" />
        <multilinespacing>20</multilinespacing>
      </stringcontrol>
      <scrollbar>
        <anchored to="importtext" />
        <target>importtext</target>
      </scrollbar>

    </sheetdata>
	</windowclass> -->
  <!-- end import window -->
  
 
  <!-- templates -->
	<template name="button_import_audio">
		<buttoncontrol insertbefore="filter_sharedonly">
			<anchored to="rightanchor" width="20" height="20">
				<top />
				<right anchor="left" relation="relative" offset="-5" />
			</anchored>
			<icon normal="button_import" pressed="button_import_down" />
			<tooltip textres="audio_button_import_tooltip" />
			<script>
        function onButtonPress()
          if User.isHost() then
            Interface.openWindow("audio_import_window", "");
          end
        end
      </script>
			<invisible />
		</buttoncontrol>
	</template>  

 <!-- end templates -->
</root>

